question

asdf-4270 avatar image
0 Votes"
asdf-4270 asked SumanthMarigowda-MSFT edited

Unable to migrate classic storage resource to new subscription

I'm having the same issue as this archived question. https://social.msdn.microsoft.com/Forums/azure/en-US/87dc476b-0253-462a-a368-698ab6a4c32a/cant-move-resource-to-new-subscription

I'm trying to move a classic storage resource to another subscription. Following the docs, I'm using the rest api. The call to check if the subscription can participate in a cross-subscription move fails saying it can't move a web application that doesn't exist. The only resource in my subscription is a single classic storage resource.

Request

POST https://management.azure.com/subscriptions/[SubId]/providers/Microsoft.ClassicCompute/validateSubscriptionMoveAvailability?api-version=2016-04-01
Authorization: Bearer [Token]
role=source

Response

 {
     "reasons": [
         "Source subscription contains following application(s) which doesn't support migration: gauntlet-leaderboardswebsite"
     ],
     "status": "Unavailable"
 }

bash-5.1# az webapp list
[]

bash-5.1# az resource list
[
{
"changedTime": "2015-12-12T04:33:26.238977+00:00",
"createdTime": "2015-05-28T16:50:08.829577+00:00",
"id": "/subscriptions/[subId]/resourceGroups/[group]/providers/Microsoft.ClassicStorage/storageAccounts/[name]",
"identity": null,
"kind": null,
"location": "westus",
"managedBy": null,
"name": "[name]",
"plan": null,
"properties": null,
"provisioningState": "Succeeded",
"resourceGroup": "[group]",
"sku": null,
"tags": null,
"type": "Microsoft.ClassicStorage/storageAccounts"
}
]

resources








azure-storage-accounts
resources.png (40.1 KiB)
· 1
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

@asdf-4270 Firstly, apologies for the delay in responding here and any inconvenience this issue may have caused.
I think there is some hidden resource is causing the problem can you check and let me know the status

0 Votes 0 ·

0 Answers